Debian Bug report logs - #346347
gpsim: FTBFS: build-depends on xlibs-dev

version graph

Package: gpsim; Maintainer for gpsim is Georges Khaznadar <georgesk@debian.org>; Source for gpsim is src:gpsim.

Reported by: Steve Langasek <vorlon@debian.org>

Date: Sat, 7 Jan 2006 08:18:04 UTC

Severity: serious

Tags: fixed, patch

Found in version gpsim/0.20.14-7.2

Fixed in version gpsim/0.21.11-1

Done: Steffen Joeris <steffen.joeris@skolelinux.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephen M Moraco <stephen@debian.org>:
Bug#346347; Package gpsim. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
New Bug report received and forwarded. Copy sent to Stephen M Moraco <stephen@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: submit@bugs.debian.org
Subject: gpsim: FTBFS: build-depends on xlibs-dev
Date: Sat, 7 Jan 2006 00:10:26 -0800
[Message part 1 (text/plain, inline)]
Package: gpsim
Version: 0.20.14-7.2
Severity: serious

The gpsim package fails to build from source on all architectures because it
build-depends on the obsolete transition package, xlibs-dev.

An example failure log can be found at
<http://buildd.debian.org/fetch.php?pkg=gpsim&arch=alpha&ver=0.20.14-7.2%2Bb1&stamp=1136574099&file=log>.

In addition, gpsim is currently uninstallable in unstable because of a name
change in the gtk+extra library package.

Please see
<http://lists.debian.org/debian-devel-announce/2005/11/msg00022.html> for
information about the xlibs-dev transition.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen M Moraco <stephen@debian.org>:
Bug#346347; Package gpsim. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Stephen M Moraco <stephen@debian.org>. Full text and rfc822 format available.

Message #10 received at 346347@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 346347@bugs.debian.org
Subject: Re: Bug#346347: gpsim: FTBFS: build-depends on xlibs-dev
Date: Sat, 07 Jan 2006 15:09:51 +0100
[Message part 1 (text/plain, inline)]
Steve Langasek wrote:
> Package: gpsim
> Version: 0.20.14-7.2
> Severity: serious
> 
> The gpsim package fails to build from source on all architectures because it
> build-depends on the obsolete transition package, xlibs-dev.

The build-depends seems to not be needed at first glance...

Though when I try to rebuild the package without it, it FTBFS with the
following error:

gui_regwin.c: In function 'BuildRegisterWindow':
gui_regwin.c:1795: warning: implicit declaration of function
'GTK_SHEET_SET_FLAGS'
gui_regwin.c:1795: error: 'GTK_SHEET_CLIP_TEXT' undeclared (first use in
this function)
gui_regwin.c:1795: error: (Each undeclared identifier is reported only once
gui_regwin.c:1795: error: for each function it appears in.)
make[3]: *** [gui_regwin.lo] Error 1
make[3]: Leaving directory `/home/luk/tmp/gpsim-0.20.14/gui'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/luk/tmp/gpsim-0.20.14'
make[1]: *** [all-recursive-am] Error 2
make[1]: Leaving directory `/home/luk/tmp/gpsim-0.20.14'
make: *** [build-stamp] Error 2

When I try to fix this by giving the argument register_sheet to
GTK_SHEET_CLIP_TEXT it FTBFS with:

gui_profile.c: In function 'plot_profile':
gui_profile.c:769: warning: passing argument 1 of
'gtk_plot_axis_show_labels' from incompatible pointer type
gui_profile.c:769: error: too many arguments to function
'gtk_plot_axis_show_labels'
gui_profile.c:770: warning: passing argument 1 of
'gtk_plot_axis_show_labels' from incompatible pointer type
gui_profile.c:770: error: too many arguments to function
'gtk_plot_axis_show_labels'
gui_profile.c:771: warning: passing argument 1 of
'gtk_plot_axis_show_labels' from incompatible pointer type
gui_profile.c:771: error: too many arguments to function
'gtk_plot_axis_show_labels'
gui_profile.c:772: warning: passing argument 1 of
'gtk_plot_axis_set_visible' from incompatible pointer type
gui_profile.c:772: error: too many arguments to function
'gtk_plot_axis_set_visible'
gui_profile.c:774: warning: implicit declaration of function
'gtk_plot_canvas_add_plot'
gui_profile.c:775: warning: passing argument 1 of
'gtk_plot_axis_hide_title' from incompatible pointer type
gui_profile.c:775: error: too many arguments to function
'gtk_plot_axis_hide_title'
gui_profile.c:776: warning: passing argument 1 of
'gtk_plot_axis_hide_title' from incompatible pointer type
gui_profile.c:776: error: too many arguments to function
'gtk_plot_axis_hide_title'
gui_profile.c:777: warning: passing argument 1 of
'gtk_plot_axis_hide_title' from incompatible pointer type
gui_profile.c:777: error: too many arguments to function
'gtk_plot_axis_hide_title'
gui_profile.c:778: warning: passing argument 1 of
'gtk_plot_axis_hide_title' from incompatible pointer type
gui_profile.c:778: error: too many arguments to function
'gtk_plot_axis_hide_title'
gui_profile.c:789: warning: passing argument 1 of
'gtk_plot_axis_set_ticks' from incompatible pointer type
gui_profile.c:789: error: too many arguments to function
'gtk_plot_axis_set_ticks'
gui_profile.c:794: warning: passing argument 1 of
'gtk_plot_axis_set_labels_style' from incompatible pointer type
gui_profile.c:794: error: too many arguments to function
'gtk_plot_axis_set_labels_style'
gui_profile.c:803: error: incompatible type for argument 4 of
'gtk_plot_data_set_line_attributes'
gui_profile.c:803: error: too few arguments to function
'gtk_plot_data_set_line_attributes'
gui_profile.c: In function 'plot_routine_histogram':
gui_profile.c:1061: warning: passing argument 1 of
'gtk_plot_axis_show_labels' from incompatible pointer type
gui_profile.c:1061: error: too many arguments to function
'gtk_plot_axis_show_labels'
gui_profile.c:1062: warning: passing argument 1 of
'gtk_plot_axis_show_labels' from incompatible pointer type
gui_profile.c:1062: error: too many arguments to function
'gtk_plot_axis_show_labels'
gui_profile.c:1063: warning: passing argument 1 of
'gtk_plot_axis_set_visible' from incompatible pointer type
gui_profile.c:1063: error: too many arguments to function
'gtk_plot_axis_set_visible'
gui_profile.c:1066: warning: passing argument 1 of
'gtk_plot_axis_hide_title' from incompatible pointer type
gui_profile.c:1066: error: too many arguments to function
'gtk_plot_axis_hide_title'
gui_profile.c:1067: warning: passing argument 1 of
'gtk_plot_axis_hide_title' from incompatible pointer type
gui_profile.c:1067: error: too many arguments to function
'gtk_plot_axis_hide_title'
gui_profile.c:1078: warning: passing argument 1 of
'gtk_plot_axis_set_ticks' from incompatible pointer type
gui_profile.c:1078: error: too many arguments to function
'gtk_plot_axis_set_ticks'
gui_profile.c:1079: warning: passing argument 1 of
'gtk_plot_axis_set_title' from incompatible pointer type
gui_profile.c:1079: error: too many arguments to function
'gtk_plot_axis_set_title'
gui_profile.c:1083: warning: passing argument 1 of
'gtk_plot_axis_set_labels_style' from incompatible pointer type
gui_profile.c:1083: error: too many arguments to function
'gtk_plot_axis_set_labels_style'
gui_profile.c:1085: warning: passing argument 1 of
'gtk_plot_axis_set_ticks' from incompatible pointer type
gui_profile.c:1085: error: too many arguments to function
'gtk_plot_axis_set_ticks'
gui_profile.c:1086: warning: passing argument 1 of
'gtk_plot_axis_set_title' from incompatible pointer type
gui_profile.c:1086: warning: passing argument 2 of
'gtk_plot_axis_set_title' makes pointer from integer without a cast
gui_profile.c:1086: error: too many arguments to function
'gtk_plot_axis_set_title'
gui_profile.c:1090: warning: passing argument 1 of
'gtk_plot_axis_set_labels_style' from incompatible pointer type
gui_profile.c:1090: error: too many arguments to function
'gtk_plot_axis_set_labels_style'
gui_profile.c:1101: error: incompatible type for argument 4 of
'gtk_plot_data_set_line_attributes'
gui_profile.c:1101: error: too few arguments to function
'gtk_plot_data_set_line_attributes'
make[3]: *** [gui_profile.lo] Error 1
make[3]: Leaving directory `/home/luk/tmp/gpsim-0.20.14/gui'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/luk/tmp/gpsim-0.20.14'
make[1]: *** [all-recursive-am] Error 2
make[1]: Leaving directory `/home/luk/tmp/gpsim-0.20.14'
make: *** [build-stamp] Error 2

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen M Moraco <stephen@debian.org>:
Bug#346347; Package gpsim. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Stephen M Moraco <stephen@debian.org>. Full text and rfc822 format available.

Message #15 received at 346347@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: 346347@bugs.debian.org
Cc: Luk Claes <luk@debian.org>
Subject: #346347: New upstream release might solve this
Date: Mon, 9 Jan 2006 21:05:56 +0100
Hi there, Luk, Stephen et all

I was looking for bugs to fix in order to help the xlibs transition and
came across this. I have also noted that you (Luk) tried to fix it too.

There is a New Upstream Release that might fix the issues you came
across while trying to fix gpsim. I am working on this right now, and
will keep you updated.

Keep rocking the BTS! :*

-- 
 .''`.     Männer sind Schweine (All men are pigs) -- Die Ärzte           
: :' :  
`. `'           Proudly running unstable Debian GNU/Linux
  `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Tags added: pending Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 248931 and 347397 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 346347 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 346347 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 346347 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen M Moraco <stephen@debian.org>:
Bug#346347; Package gpsim. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Stephen M Moraco <stephen@debian.org>. Full text and rfc822 format available.

Message #32 received at 346347@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: debian-release@lists.debian.org
Cc: 346347@bugs.debian.org, 346736@bugs.debian.org, 346742@bugs.debian.org, 346745@bugs.debian.org, 248931@bugs.debian.org, 347397@bugs.debian.org
Subject: gtk+extra and gpsim in bad, bad shape
Date: Thu, 12 Jan 2006 05:27:49 +0100
Hi there!

Due to the xlibs-dev transition, I intend to NMU the following packages:

===================================================================
|  Intend to NMU                                                  |
===================================================================
| 346347 | gpsim       | Depends on fixing 248931 and 347397      |
| 346736 | gpsim-lcd   | Depends on fixing 346347                 |
| 346742 | gpsim-led   | Depends on fixing 346347                 |
| 346745 | gpsim-logic | Depends on fixing 346347                 |
|  ----  | gtk+extra   | Needed for gpsim-* See 347397,           |
 
So if you are, by any chance, browsing the xlibs-dev transition bug list
and would like to help, please take a look at #347397 and at my
packaging efforts at
http://www.amayita.com/debian/xlibs-transition/gpsim/gtk+extra/
and tell me what I am doing wrong, because getting a newer upstream
version for gtk+extra is a blocker for fixing gpsim-* packages.
All bugs are tagged help, and proper blocking relationships are
stablished. 

I am stalled at gtk+extra library packaging. 

Thanks!


-- 
 .''`.     Männer sind Schweine (All men are pigs) -- Die Ärzte           
: :' :  
`. `'           Proudly running unstable Debian GNU/Linux
  `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Tags removed: pending Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: help, pending Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen M Moraco <stephen@debian.org>:
Bug#346347; Package gpsim. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Stephen M Moraco <stephen@debian.org>. Full text and rfc822 format available.

Message #41 received at 346347@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: control@bugs.debian.org, 346645@bugs.debian.org, 346679@bugs.debian.org, 346644@bugs.debian.org, 346347@bugs.debian.org, 346616@bugs.debian.org, 346625@bugs.debian.org, 347090@bugs.debian.org, 347116@bugs.debian.org, 346966@bugs.debian.org, 347122@bugs.debian.org, 346955@bugs.debian.org, 346958@bugs.debian.org, 346856@bugs.debian.org
Subject: unpatch
Date: Sun, 15 Jan 2006 11:13:35 -0500
tag 346645 -patch
tag 346679 -patch
tag 346644 -patch
tag 346347 -patch
tag 346616 -patch
tag 346625 -patch
tag 347090 -patch
tag 347116 -patch
tag 346966 -patch
tag 347122 -patch
tag 346955 -patch
tag 346958 -patch
tag 346856 -patch
thanks

I consider these bugs difficult to NMU because of some reason such as
being packaged natively when they should not be.



Tags removed: patch Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen M Moraco <stephen@debian.org>:
Bug#346347; Package gpsim. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Stephen M Moraco <stephen@debian.org>. Full text and rfc822 format available.

Message #48 received at 346347@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: debian-qa@lists.debian.org
Cc: 346645@bugs.debian.org, 346679@bugs.debian.org, 346644@bugs.debian.org, 346347@bugs.debian.org, 346616@bugs.debian.org, 346625@bugs.debian.org, 347090@bugs.debian.org, 346966@bugs.debian.org, 347052@bugs.debian.org, 346958@bugs.debian.org
Subject: Re: elaboration on "hard to nmu packages"; xlibs-dev transition
Date: Sun, 15 Jan 2006 12:21:41 -0500
On Sun, Jan 15, 2006 at 11:24:56AM -0500, Justin Pryzby wrote:

> I also note the following packages are "hard" to NMU, because of some
> problem like another FTBFS or the package being native when it should
> not be.  I'm untagging these 'patch' now.
Let me elaborate on these

> arla-0.36.2
The following packages have unmet dependencies:
  kerberos4kth-dev

> ayttm-0.4.6+26
Files in second .deb but not in first
-------------------------------------
/usr/lib/ayttm/img2jpc.a
/usr/lib/ayttm/img2jpc.la
/usr/lib/ayttm/img2jpc.so

> bzflag-2.0.4.20051017.1
native

> gpsim-0.20.14
gui_regwin.c:1795: error: 'GTK_SHEET_CLIP_TEXT' undeclared (first use
in this fu

> grabc-1.1
X11/Xos.h not found; needs include path update

> jwm-0.23
group.c:252:41: error: macro "LoadNamedIcon" passed 2 arguments, but takes just 1
maintainer decision to rerun autoconf or build-dep: libxt-dev

> rsjog-1.1
Files in second .deb but not in first
-------------------------------------
/usr/lib/ruby/1.6/i386-linux/XTest.so

Files in first .deb but not in second
-------------------------------------
/usr/lib/ruby/1.6/i486-linux/XTest.so

> wininfo-0.7
Fails to find -lXRes even when I build-dep on libxres-dev

> wmblob-1.0.3
maintainer decision to rerun autoconf or build-dep: libxt-dev
Fails to find libXpm even when build-dep on libxpm-dev

> wmmaiload-1.0.2
Fails to find libXext even when build-dep on libxext-dev; needs -L
path update?

> wmressel-0.8
Fails to find libXxf86vm even when build-dep on libxext-dev; needs -L
path update?

> xpad-2.10
xpad-session-manager.o: In function `xpad_session_manager_stop_interact':/tmp/buildd/xpad-2.10/src/xpad-session-manager.c:168: undefined reference to
`SmcInteractDone'

> xscorch-0.2.0
maintainer decision to rerun autoconf or build-dep: libxt-dev, libxpm-dev

If someone knows that these ar expected or how to work around them, be
my guest to NMU or fill me in.  Otherwise some of these maybe should
be cloned bugs; I don't know.

-- 
Clear skies,
Justin



Blocking bugs added: 346347 Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen M Moraco <stephen@debian.org>:
Bug#346347; Package gpsim. Full text and rfc822 format available.

Acknowledgement sent to Steffen Joeris <Steffen.Joeris@skolelinux.de>:
Extra info received and forwarded to list. Copy sent to Stephen M Moraco <stephen@debian.org>. Full text and rfc822 format available.

Message #55 received at 346347@bugs.debian.org (full text, mbox):

From: Steffen Joeris <Steffen.Joeris@skolelinux.de>
To: 346347@bugs.debian.org
Subject: use nmu from other ftbfs bug
Date: Mon, 29 May 2006 20:39:35 +0200
[Message part 1 (text/plain, inline)]
Hi

>> gpsim-0.20.14
>gui_regwin.c:1795: error: 'GTK_SHEET_CLIP_TEXT' undeclared (first use
>in this fu

This problem won't raise up if you build against libgtkextra17-dev as you need
this header file gtkextra/gtksheet.h
So I guess we can just use the patch from 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=244126

Greetings
Steffen
[Message part 2 (application/pgp-signature, inline)]

Tags added: patch Request was from Steffen Joeris <Steffen.Joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Steffen Joeris <steffen.joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 346347 Request was from Steffen Joeris <Steffen.Joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 346347 Request was from Steffen Joeris <Steffen.Joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 346347 Request was from Steffen Joeris <Steffen.Joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 347397 Request was from Steffen Joeris <Steffen.Joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 346347 Request was from Steffen Joeris <Steffen.Joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 248931 Request was from Steffen Joeris <Steffen.Joeris@skolelinux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Steffen Joeris <steffen.joeris@skolelinux.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #76 received at 346347-close@bugs.debian.org (full text, mbox):

From: Steffen Joeris <steffen.joeris@skolelinux.de>
To: 346347-close@bugs.debian.org
Subject: Bug#346347: fixed in gpsim 0.21.11-1
Date: Tue, 19 Sep 2006 16:47:20 -0700
Source: gpsim
Source-Version: 0.21.11-1

We believe that the bug you reported is fixed in the latest version of
gpsim, which is due to be installed in the Debian FTP archive:

gpsim-dev_0.21.11-1_i386.deb
  to pool/main/g/gpsim/gpsim-dev_0.21.11-1_i386.deb
gpsim_0.21.11-1.diff.gz
  to pool/main/g/gpsim/gpsim_0.21.11-1.diff.gz
gpsim_0.21.11-1.dsc
  to pool/main/g/gpsim/gpsim_0.21.11-1.dsc
gpsim_0.21.11-1_i386.deb
  to pool/main/g/gpsim/gpsim_0.21.11-1_i386.deb
gpsim_0.21.11.orig.tar.gz
  to pool/main/g/gpsim/gpsim_0.21.11.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 346347@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steffen Joeris <steffen.joeris@skolelinux.de> (supplier of updated gpsim package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 17 Sep 2006 00:32:18 +1000
Source: gpsim
Binary: gpsim gpsim-dev
Architecture: source i386
Version: 0.21.11-1
Distribution: unstable
Urgency: medium
Maintainer: Steffen Joeris <steffen.joeris@skolelinux.de>
Changed-By: Steffen Joeris <steffen.joeris@skolelinux.de>
Description: 
 gpsim      - Simulator for Microchip's PIC microcontrollers
 gpsim-dev  - Libraries needed only for building gpsim components
Closes: 244126 244126 248931 264351 265766 293660 334155 346347 376445 387776
Changes: 
 gpsim (0.21.11-1) unstable; urgency=medium
 .
   * New maintainer (Closes: #387776)
   * New upstream release (Closes: #248931)
   * Change from dh_movefiles to dh_install
   * Update libgtkextra build-dependency to libgtkextra-x11-2.0-dev
   * Bump standards version
   * Fix typo in debian/control file which causes FTBFS
   * Bump debhelper level to 5 and create debian/compat file
   * Add build-depends against dpatch
   * Change from dh_movefiles to dh_install
   * Acknowledge several NMUs
   (Closes: #376445, #244126, #346347, #244126, #265766, #334155, #293660, #264351)
Files: 
 7db094275f702c0db3ec14e06c39833e 754 electronics optional gpsim_0.21.11-1.dsc
 ac621f738cb106e8f1ac53eccc944e19 1152135 electronics optional gpsim_0.21.11.orig.tar.gz
 55254d857c5572d85937ab5bd74b5cca 21323 electronics optional gpsim_0.21.11-1.diff.gz
 cb71d8f8aab1f161e2ac173a5edaa9df 895774 electronics optional gpsim_0.21.11-1_i386.deb
 66301886a95d41a0a56fd670aedd1c4d 139238 devel optional gpsim-dev_0.21.11-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFEIBuNFDtUT/MKpARAqnbAKCHJyC+UmWHvfYCuh1bhqJKoX0LIwCfdS44
V2VhXcpBsnaFYIBwQG4MwBo=
=CIG6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 12:05:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:52:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.